loadscript("mdialog");
var curFid = 0;
$(document).ready(function() {
	curFid = $('#ftypeId').val();
	//alert(curFid);
	$('#ftype_'+curFid).css('font-weight','bold').css('color','#ff6600');
	$('a.ftype').click(function() {
		var id = $(this).attr('id').css('font-weight','bold').css('color','#ff6600');
		fid = id.replace("ftype_", "");
		curFid = fid;
		//console.log('current selected fid: '+curFid);
	});
	// actions
	$('#create').click(function() {
		$.post(getUrl('shop')+'member.php', { action:"createFtype",'fid':0,in_ajax:1 }, function(result) {
			myAlert(result, 200, 150);
			$('#cancelCreateFtypeDlg').click(function() {
				dlgClose();
			});
			$('#createFtypeForm').submit(function() {
				if(!jQuery.trim($('#newType').val())) {
					$('#err').attr('style', 'color:red;padding-left:5px;').html('请输入分类！');
					return false;
				}
				return true;
			});
		});
		return false;
	});
	$('#edit').click(function() {
		$.post(getUrl('shop')+'member.php', { action:"editFtype",'fid':curFid,in_ajax:1 }, function(result) {
			myAlert(result, 200, 150);
			$('#cancelEditFtypeDlg').click(function() {
				dlgClose();
			});
			$('#editFtypeForm').submit(function() {
				if(!jQuery.trim($('#newType').val())) {
					$('#err').attr('style', 'color:red;padding-left:5px;').html('请输入分类！');
					return false;
				}
				return true;
			});
		});
		return false;
	});
	$('#up').click(function() {
		if (!curFid) {
			alert('请选择一个分类！');
			return false;
		}
		$.post(getUrl('shop')+'member.php', { action:"upFtype",'fid':curFid,in_ajax:1 }, function(result) {
			location.reload();
			return false;
		});
		return false;
	});
	$('#down').click(function() {
		if (!curFid) {
			alert('请选择一个分类！');
			return false;
		}
		$.post(getUrl('shop')+'member.php', { action:"downFtype",'fid':curFid,in_ajax:1 }, function(result) {
			location.reload();
			return false;
		});
		return false;
	});
	$('#delete').click(function() {
		if (!curFid) {
			alert('请选择一个分类！');
			return false;
		}
		if ($('#ftype_'+curFid).html() == '未分类') {
			alert('未分类不能删除！');
			return false;
		}
		$.post(getUrl('shop')+'member.php', { action:"deleteFtype",'fid':curFid,in_ajax:1 }, function(result) {
			alert('删除分类成功！');
			location.reload();
			return false;
		});
		return false;
	});

	$('a[id^=deleteFavorite]').click(function() {
		var id = this.id;
		id = id.replace('deleteFavorite-','');
		$.post(getUrl('shop')+'member.php', { action:"deleteFavorite",'favid':id,in_ajax:1 }, function(result) {
			alert('删除该网站成功！');
			location.reload();
			return false;
		});
		return false;
	});
	$('a[id^=upFavorite]').click(function() {
		var id = this.id;
		id = id.replace('upFavorite-','');
		$.post(getUrl('shop')+'member.php', { action:"upFavorite",'favid':id,in_ajax:1 }, function(result) {
			location.reload();
			return false;
		});
		return false;
	});
	$('a[id^=downFavorite]').click(function() {
		var id = this.id;
		id = id.replace('downFavorite-','');
		$.post(getUrl('shop')+'member.php', { action:"downFavorite",'favid':id,in_ajax:1 }, function(result) {
			location.reload();
			return false;
		});
		return false;
	});
	$('a[id^=editFavorite]').click(function() {
		var id = this.id;
		id = id.replace('editFavorite-','');

		$.post(getUrl('shop')+'member.php', { action:"editFavorite",'favid':id,in_ajax:1 }, function(result) {
			myAlert(result, 250, 200);
			$('#cancelEditFavDlg').click(function() {
				dlgClose();
			});
			$('#myFavoriteTypes a').click(function() {
				$('#newType').val(this.innerHTML);
				return false;
			})
		});
		return false;
	});
});